Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ajax4jsf.resource
Class OneTimeRenderer

    java.lang.Object
      org.ajax4jsf.resource.BaseResourceRenderer
          org.ajax4jsf.resource.OneTimeRenderer

All Implemented Interfaces:
  org.ajax4jsf.resource.ResourceRenderer

Direct Known Subclasses:
  CompressedScriptRenderer, StyleRenderer

    public abstract class OneTimeRenderer

extends BaseResourceRenderer

Base class for resources, rendered only one time in page ( JavaScript, CSS )

Version:
  $Revision: 1.1.2.1 $ $Date: 2007/01/09 18:57:02 $
Author:
  asmirnov@exadel.com (latest modification by $Author: alexsmirnov $)

Constructor Summary
`OneTimeRenderer()`

Method Summary
`void` | `encodeBegin(org.ajax4jsf.resource.InternetResource resource, javax.faces.context.FacesContext context, java.lang.Object data, java.util.Map<java.lang.String,java.lang.Object> attributes)`
`void` | `encodeEnd(org.ajax4jsf.resource.InternetResource resource, javax.faces.context.FacesContext context, java.lang.Object data)`

Methods inherited from class org.ajax4jsf.resource.BaseResourceRenderer
`customEncode, encode, encode, getCommonAttrs, getData, getHrefAttr, getTag, requireFacesContext, send, sendStream`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.ajax4jsf.resource.ResourceRenderer
`getContentType`

Constructor Detail

### OneTimeRenderer

    public OneTimeRenderer()

Method Detail

### encodeBegin

    public void encodeBegin(org.ajax4jsf.resource.InternetResource resource,
                            javax.faces.context.FacesContext context,
                            java.lang.Object data,
                            java.util.Map<java.lang.String,java.lang.Object> attributes)
                     throws java.io.IOException

  Specified by:
    `encodeBegin` in interface `org.ajax4jsf.resource.ResourceRenderer`
  Overrides:
    `encodeBegin` in class `BaseResourceRenderer`
  Throws:
    `java.io.IOException`

### encodeEnd

    public void encodeEnd(org.ajax4jsf.resource.InternetResource resource,
                          javax.faces.context.FacesContext context,
                          java.lang.Object data)
                   throws java.io.IOException

  Specified by:
    `encodeEnd` in interface `org.ajax4jsf.resource.ResourceRenderer`
  Overrides:
    `encodeEnd` in class `BaseResourceRenderer`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 JBoss, a division of Red Hat, Inc.. All Rights Reserved.